## rally 0.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=1.3
boto>=2.32.1
decorator>=3.4.0
fixtures>=0.3.14
iso8601>=0.1.9
Jinja2>=2.6  # BSD License (3 clause)
jsonschema>=2.0.0,<3.0.0
netaddr>=0.7.12
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
paramiko>=1.13.0
pbr>=0.6,!=0.7,<1.0
PrettyTable>=0.7,<0.8
PyYAML>=3.1.0
psycopg2
python-designateclient>=1.0.0
python-glanceclient>=0.15.0
python-keystoneclient>=1.1.0
python-novaclient>=2.22.0
python-neutronclient>=2.3.11,<3
python-cinderclient>=1.1.0
python-heatclient>=0.3.0
python-ceilometerclient>=1.0.13
python-ironicclient>=0.2.1
python-saharaclient>=0.8.0
python-troveclient>=1.0.7
python-zaqarclient>=0.0.3
python-swiftclient>=2.2.0
python-subunit>=0.0.18
requests>=2.2.0,!=2.4.0
SQLAlchemy>=0.9.7,<=0.9.99
sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3
six>=1.9.0

# Python 2.6 related packages(see rally.common.costilius for more details)
ordereddict
simplejson>=2.2.0

=== debian/changelog ===
rally (0.0.3-4ubuntu1) wily; urgency=medium

  * debian/patches/remove-broken-tests.patch: Remove broken tests
    with newer python-fixtures. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 24 Jul 2015 13:09:39 -0400

rally (0.0.3-4) unstable; urgency=medium

  * Added French debconf translations thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #789034).
  * Moved auto-completion file to usr/share/bash-completion/completions.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 14:43:18 +0200

rally (0.0.3-3) unstable; urgency=medium

  * Purges remaining folder on purge (Closes: #787833).
  * Added French debconf translations (Closes: #787693).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 09:43:56 +0200

rally (0.0.3-2) unstable; urgency=medium

  * Added pt.po Portuguese translation (Closes: #784599).
  * Fixed rally.templates, thanks to bubulle (Closes: #785143).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 May 2015 23:41:27 +0200

rally (0.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #782746)

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Apr 2015 21:14:06 +0200

=== debian/control ===
Source: rally
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-boto,
                     python-ceilometerclient (>= 1.0.13),
                     python-cinderclient (>= 1:1.1.0),
                     python-coverage,
                     python-decorator,
                     python-designateclient,
                     python-fixtures,
                     python-glanceclient (>= 1:0.15.0),
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-ironicclient (>= 0.2.1),
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.1.0),
                     python-mock,
                     python-netaddr,
                     python-neutronclient (>= 2.3.11),
                     python-novaclient (>= 2:2.22.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.db (>= 1.7.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-paramiko,
                     python-prettytable,
                     python-psycopg2,
                     python-requests,
                     python-saharaclient (>= 0.8.0),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-sqlalchemy,
                     python-swiftclient,
                     python-testtools,
                     python-troveclient (>= 1.0.7),
                     python-yaml,
                     python-zaqarclient (>= 0.0.3),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/stackforge/rally
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/rally.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/rally.git

Package: python-rally
Section: python
Architecture: all
Depends: python-babel,
         python-boto,
         python-ceilometerclient (>= 1.0.13),
         python-cinderclient (>= 1:1.1.0),
         python-decorator,
         python-designateclient,
         python-fixtures,
         python-glanceclient (>= 1:0.15.0),
         python-heatclient (>= 0.3.0),
         python-ironicclient (>= 0.2.1),
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-keystoneclient (>= 1:1.1.0),
         python-mysqldb,
         python-netaddr,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 2:2.22.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.db (>= 1.7.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-paramiko,
         python-prettytable,
         python-psycopg2,
         python-requests,
         python-saharaclient (>= 0.8.0),
         python-simplejson,
         python-six (>= 1.9.0),
         python-sqlalchemy,
         python-swiftclient,
         python-troveclient (>= 1.0.7),
         python-yaml,
         python-zaqarclient (>= 0.0.3),
         sqlite3,
         subunit,
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - Python code
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the Python code.

Package: rally
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-rally (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - command line and configuration
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the command line and configuration file.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/rally.git

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_auto_build:
	dh_auto_build
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func rally.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func rally.postinst

override_dh_clean:
	dh_clean
	rm -rf build debian/rally.config debian/rally.postinst

override_dh_install:
	dh_install --fail-missing -Xetc/bash_completion.d/rally.bash_completion
	
	install -D -m 0644 $(CURDIR)/etc/rally.bash_completion $(CURDIR)/debian/rally/usr/share/bash-completion/completions/rally
	install -D -m 0644 $(CURDIR)/etc/rally/rally.conf.sample $(CURDIR)/debian/rally/usr/share/rally/rally.conf
	sed -i 's|^[ \t#]connection[ \t]*=|connection=sqlite:///var/lib/rally/rally.db|' $(CURDIR)/debian/rally/usr/share/rally/rally.conf

	# This shells script is broken, so I'm removing it.
	rm $(CURDIR)/debian/rally/usr/share/rally/samples/tasks/support/instance_linpack.sh

## rally 0.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=1.3
boto>=2.32.1
decorator>=3.4.0
fixtures>=1.3.1
iso8601>=0.1.9
Jinja2>=2.6 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0
netaddr!=0.7.16,>=0.7.12
oslo.config>=2.3.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
paramiko>=1.13.0
pbr>=1.6
PrettyTable<0.8,>=0.7
PyYAML>=3.1.0
python-designateclient>=1.0.0
python-glanceclient>=0.18.0
python-keystoneclient>=1.6.0
python-novaclient>=2.28.1
python-neutronclient>=2.6.0
python-cinderclient>=1.3.1
python-manilaclient>=1.3.0
python-heatclient>=0.3.0
python-ceilometerclient>=1.5.0
python-ironicclient>=0.8.0
python-saharaclient>=0.10.0
python-troveclient>=1.2.0
python-zaqarclient>=0.1.1
python-swiftclient>=2.2.0
python-subunit>=0.0.18
requests>=2.5.2
SQLAlchemy<1.1.0,>=0.9.9
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
six>=1.9.0

# Python 2.6 related packages(see rally.common.costilius for more details)
ordereddict
simplejson>=2.2.0

=== debian/changelog ===
rally (0.1.1-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS (Closes: #804588).
  * Fixed (build-)depends for this release.
  * Added Danish translation of the debconf templates, thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #800398).
  * Added python-pymysql as runtime build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Oct 2015 16:00:16 +0200

rally (0.0.3-6) unstable; urgency=medium

  * Added nl.po (Closes: #794804).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 14:00:24 +0000

rally (0.0.3-5) unstable; urgency=medium

  * Rebuilt for SQLAlchemy >= 1.0 (Closes: #794353).
  * Blacklist failed unit tests:
    - tests.unit.deploy.serverprovider.providers.test_lxc.LxcHostTestCase.test_prepare
    - tests.unit.deploy.test_lxc.LxcEngineTestCase.test_cleanup

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 08:06:11 +0000

=== debian/control ===
Source: rally
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-boto,
                     python-ceilometerclient (>= 1.5.0),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-ddt (>= 0.7.0),
                     python-decorator,
                     python-designateclient,
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:0.18.0),
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-ironicclient (>= 0.8.0),
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-manilaclient (>= 1.3.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-prettytable,
                     python-psycopg2,
                     python-requests (>= 2.5.2),
                     python-saharaclient (>= 0.10.0),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-swiftclient,
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1.2.0),
                     python-yaml,
                     python-zaqarclient (>= 0.1.1),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/stackforge/rally
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/rally.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/rally.git

Package: python-rally
Section: python
Architecture: all
Depends: python-babel,
         python-boto,
         python-ceilometerclient (>= 1.5.0),
         python-cinderclient (>= 1:1.3.1),
         python-decorator,
         python-designateclient,
         python-fixtures (>= 1.3.1),
         python-glanceclient (>= 1:0.18.0),
         python-heatclient (>= 0.3.0),
         python-ironicclient (>= 0.8.0),
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-manilaclient (>= 1.3.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-paramiko,
         python-pbr (>= 1.8),
         python-prettytable,
         python-psycopg2,
         python-pymysql,
         python-requests (>= 2.5.2),
         python-saharaclient (>= 0.10.0),
         python-simplejson,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-swiftclient,
         python-troveclient (>= 1.2.0),
         python-yaml,
         python-zaqarclient (>= 0.1.1),
         sqlite3,
         subunit,
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - Python code
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the Python code.

Package: rally
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-rally (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - command line and configuration
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the command line and configuration file.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.unit\.(?!(.*deploy.serverprovider.providers.test_lxc.LxcHostTestCase.test_prepare.*|.*deploy.test_lxc.LxcEngineTestCase.test_cleanup.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/rally/tags .*/(\d[\d\.]+)\.tar\.gz

## rally 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
Babel>=1.3
boto>=2.32.1
decorator>=3.4.0
fixtures>=1.3.1
iso8601>=0.1.9
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0
netaddr!=0.7.16,>=0.7.12
oslo.config>=3.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.2.0 # Apache-2.0
paramiko>=1.13.0
pbr>=1.6
PrettyTable<0.8,>=0.7
PyYAML>=3.1.0
python-designateclient>=1.5.0
python-glanceclient>=1.2.0
python-keystoneclient!=1.8.0,>=1.6.0
python-novaclient!=2.33.0,>=2.29.0
python-neutronclient>=2.6.0
python-cinderclient>=1.3.1
python-manilaclient>=1.3.0
python-heatclient>=0.6.0
python-ceilometerclient>=2.0.0
python-ironicclient>=0.8.0
python-saharaclient>=0.10.0
python-troveclient>=1.2.0
python-zaqarclient>=0.3.0
python-swiftclient>=2.2.0
python-subunit>=0.0.18
requests!=2.9.0,>=2.8.1
SQLAlchemy<1.1.0,>=1.0.10
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
six>=1.9.0

# Python 2.6 related packages(see rally.common.costilius for more details)
ordereddict
simplejson>=2.2.0

=== debian/changelog ===
rally (0.2.0-1.2) unstable; urgency=medium

  * Patch requirements.txt to drop SQLAlchemy << 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Jan 2017 15:37:21 +0100

rally (0.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added myself as uploader.
  * Fixed VCS URLs (https).
  * d/rules: Removed UPSTREAM_GIT, changed to default value
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * Added pt_BR.po debconf translation (Closes: #816954).
  * Added de.po debconf translation (Closes: #818655).
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 10:52:29 +0200

=== debian/control ===
Source: rally
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <novy@ondrej.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-boto,
                     python-ceilometerclient (>= 2.0.0),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-dateutil (>= 2.4.2),
                     python-ddt (>= 1.0.1),
                     python-decorator,
                     python-designateclient (>= 1.5.0),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:1.2.0),
                     python-hacking,
                     python-heatclient (>= 0.6.0),
                     python-ironicclient (>= 0.8.0),
                     python-iso8601,
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-manilaclient (>= 1.3.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-oslo.config (>= 1:3.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.2.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko,
                     python-prettytable,
                     python-psycopg2,
                     python-requests (>= 2.8.1),
                     python-saharaclient (>= 0.10.0),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-swiftclient,
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1.2.0),
                     python-yaml,
                     python-zaqarclient (>= 0.3.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: https://github.com/stackforge/rally
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/rally.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/rally.git

Package: python-rally
Section: python
Architecture: all
Depends: python-babel,
         python-boto,
         python-ceilometerclient (>= 2.0.0),
         python-cinderclient (>= 1:1.3.1),
         python-decorator,
         python-designateclient (>= 1.5.0),
         python-fixtures (>= 1.3.1),
         python-glanceclient (>= 1:1.2.0),
         python-heatclient (>= 0.6.0),
         python-ironicclient (>= 0.8.0),
         python-iso8601,
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-manilaclient (>= 1.3.0),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.config (>= 1:3.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.2.0),
         python-paramiko,
         python-pbr (>= 1.8),
         python-prettytable,
         python-psycopg2,
         python-pymysql,
         python-requests (>= 2.8.1),
         python-saharaclient (>= 0.10.0),
         python-simplejson,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-swiftclient,
         python-troveclient (>= 1.2.0),
         python-yaml,
         python-zaqarclient (>= 0.3.0),
         sqlite3,
         subunit,
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - Python code
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the Python code.

Package: rally
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-rally (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - command line and configuration
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the command line and configuration file.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 PYTHONS:=$(shell pyversions -vr)
 #PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/rally.git
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)

## rally 0.3.3+dfsg1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.0 # MIT
Babel>=1.3 # BSD
boto>=2.32.1 # MIT
decorator>=3.4.0 # BSD
fixtures>=1.3.1 # Apache-2.0/BSD
iso8601>=0.1.9 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.config>=3.7.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
paramiko>=1.16.0 # LGPL
pbr>=1.6 # Apache-2.0
PrettyTable<0.8,>=0.7 # BSD
PyYAML>=3.1.0 # MIT
python-designateclient>=1.5.0 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-manilaclient>=1.3.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-ceilometerclient>=2.2.1 # Apache-2.0
python-ironicclient>=1.1.0 # Apache-2.0
python-saharaclient>=0.13.0 # Apache-2.0
python-troveclient!=2.1.0,>=1.2.0 # Apache-2.0
python-zaqarclient>=0.3.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-subunit>=0.0.18 # Apache-2.0/BSD
requests!=2.9.0,>=2.8.1 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 # BSD
six>=1.9.0 # MIT

# Python 2.6 related packages(see rally.common.costilius for more details)
ordereddict # MIT
simplejson>=2.2.0 # MIT

=== debian/changelog ===
rally (0.3.3+dfsg1-1+168~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Removed minified JS/CSS files from orig tarball
  * d/watch: Changed to new URL
  * Fixed (build-)depends for this release
  * Standards-Version is 3.9.8 now (no changes needed)
  * d/control: Changed homepage to new URL
  * Use OSLO_PACKAGE_VERSION from openstack-pkg-tools
  * d/{control,copyright}: Use my @debian.org email address

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 16 Sep 2016 12:09:02 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-           Ondřej Nový <novy@ondrej.org>,
+           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 48~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-alembic,
+                     python-babel,
                      python-boto,
-                     python-ceilometerclient (>= 2.0.0),
+                     python-ceilometerclient (>= 2.2.1),
                      python-cinderclient (>= 1:1.3.1),
                      python-coverage,
                      python-dateutil (>= 2.4.2),
@@ -22,32 +23,32 @@
                      python-decorator,
                      python-designateclient (>= 1.5.0),
                      python-fixtures (>= 1.3.1),
-                     python-glanceclient (>= 1:1.2.0),
+                     python-glanceclient (>= 1:2.0.0),
                      python-hacking,
                      python-heatclient (>= 0.6.0),
-                     python-ironicclient (>= 0.8.0),
+                     python-ironicclient (>= 1.1.0),
                      python-iso8601,
                      python-jinja2 (>= 2.8),
                      python-jsonschema,
                      python-keystoneclient (>= 1:1.6.0),
                      python-manilaclient (>= 1.3.0),
-                     python-mock (>= 1.3),
+                     python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
                      python-neutronclient (>= 1:2.6.0),
                      python-novaclient (>= 2:2.29.0),
-                     python-oslo.config (>= 1:3.2.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.db (>= 4.1.0),
-                     python-oslo.i18n (>= 1.5.0),
+                     python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.2.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-paramiko,
+                     python-paramiko (>= 1.16.0),
                      python-prettytable,
                      python-psycopg2,
                      python-requests (>= 2.8.1),
-                     python-saharaclient (>= 0.10.0),
+                     python-saharaclient (>= 0.13.0),
                      python-simplejson,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
@@ -58,24 +59,25 @@
                      python-zaqarclient (>= 0.3.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Homepage: https://github.com/stackforge/rally
+Standards-Version: 3.9.8
+Homepage: https://github.com/openstack/rally
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/rally.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/rally.git
 
 Package: python-rally
 Section: python
 Architecture: all
-Depends: python-babel,
+Depends: python-alembic,
+         python-babel,
          python-boto,
-         python-ceilometerclient (>= 2.0.0),
+         python-ceilometerclient (>= 2.2.1),
          python-cinderclient (>= 1:1.3.1),
          python-decorator,
          python-designateclient (>= 1.5.0),
          python-fixtures (>= 1.3.1),
-         python-glanceclient (>= 1:1.2.0),
+         python-glanceclient (>= 1:2.0.0),
          python-heatclient (>= 0.6.0),
-         python-ironicclient (>= 0.8.0),
+         python-ironicclient (>= 1.1.0),
          python-iso8601,
          python-jinja2 (>= 2.8),
          python-jsonschema,
@@ -85,19 +87,19 @@
          python-netaddr (>= 0.7.12),
          python-neutronclient (>= 1:2.6.0),
          python-novaclient (>= 2:2.29.0),
-         python-oslo.config (>= 1:3.2.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.db (>= 4.1.0),
-         python-oslo.i18n (>= 1.5.0),
+         python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.2.0),
-         python-paramiko,
+         python-oslo.utils (>= 3.5.0),
+         python-paramiko (>= 1.16.0),
          python-pbr (>= 1.8),
          python-prettytable,
          python-psycopg2,
          python-pymysql,
          python-requests (>= 2.8.1),
-         python-saharaclient (>= 0.10.0),
+         python-saharaclient (>= 0.13.0),
          python-simplejson,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
@@ -107,6 +109,8 @@
          python-zaqarclient (>= 0.3.0),
          sqlite3,
          subunit,
+         libjs-angularjs,
+         libjs-d3,
          ${misc:Depends},
          ${python:Depends},
 Description: benchmark System for OpenStack - Python code

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 
 include /usr/share/openstack-pkg-tools/pkgos.make
-export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
 	dh $@  --with python2

## rally 0.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Rally core dependencies
alembic>=0.8.4,<=0.8.8                                 # MIT
decorator>=3.4.0,<=4.0.10                              # new BSD License
Jinja2==2.8                                            # BSD
jsonschema>=2.0.0,!=2.5.0,<3.0.0                       # MIT
netaddr>=0.7.13,!=0.7.16,<=0.7.18                      # BSD
oslo.config>=3.14.0,<=3.17.0                           # Apache Software License
oslo.db>=4.10.0,!=4.13.1,!=4.13.2,<=4.13.3             # Apache Software License
oslo.i18n>=2.1.0,<=3.9.0                               # Apache Software License
oslo.log>=3.11.0,<=3.16.0                              # Apache Software License
oslo.serialization>=1.10.0,<=2.13.0                    # Apache Software License
oslo.utils==3.16.0                                     # Apache Software License
paramiko>=2.0,<=2.0.2                                  # LGPL
pbr>=1.6,<=1.10.0                                      # Apache Software License
PrettyTable>=0.7.1,<0.8                                # BSD
PyYAML>=3.10.0,<=3.12                                  # MIT
python-subunit>=0.0.18,<=1.2.0
requests>=2.10.0,<=2.11.1                              # Apache License, Version 2.0
SQLAlchemy>=1.0.10,<1.1.0                              # MIT
sphinx>=1.2.1,!=1.3b1,<1.4                             # BSD
six>=1.9.0,<=1.10.0                                    # MIT

# OpenStack related
boto>=2.32.1,<=2.42.0                                  # MIT
gnocchiclient>=2.2.0,<=2.6.0                           # Apache Software License
keystoneauth1>=2.10.0,<=2.13.0                         # Apache Software License
python-ceilometerclient>=2.5.0,<=2.6.1                 # Apache Software License
python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1,<=1.9.0     # Apache Software License
python-cueclient>=1.0.0                                # Apache License, Version 2.0
python-designateclient>=1.5.0,<=2.3.0                  # Apache License, Version 2.0
python-glanceclient==2.5.0                             # Apache License, Version 2.0
python-heatclient==1.5.0                               # Apache Software License
python-ironicclient>=1.6.0,<=1.7.0                     # Apache Software License
python-keystoneclient>=2.0.0,!=2.1.0,<=3.6.0           # Apache Software License
python-magnumclient>=2.0.0,<=2.3.0                     # Apache Software License
python-manilaclient>=1.10.0,<=1.11.0                   # Apache Software License
python-mistralclient>=2.0.0,<=2.1.1
python-monascaclient>=1.1.0,<=1.2.0                    # Apache Software License
python-muranoclient>=0.8.2,<=0.11.1                    # Apache License, Version 2.0
python-neutronclient>=5.1.0,<=6.0.0                    # Apache Software License
python-novaclient>=2.29.0,!=2.33.0,<=6.0.0             # Apache License, Version 2.0
python-saharaclient==0.18.0                            # Apache License, Version 2.0
python-senlinclient>=0.3.0,<=1.0.0                     # Apache Software License
python-swiftclient>=2.2.0,<=3.1.0                      # Apache Software License
python-troveclient>=2.2.0,<=2.5.0                      # Apache Software License
python-watcherclient>=0.23.0,<=0.25.0                  # Apache Software License
python-zaqarclient>=1.0.0,<=1.2.0                      # Apache Software License

## rally 0.8.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Rally core dependencies
alembic==0.8.10                                        # MIT
decorator>=3.4.0,<=4.0.11                              # new BSD License
Jinja2>=2.8,!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,<2.9.4     # BSD
jsonschema>=2.0.0,!=2.5.0,<3.0.0                       # MIT
netaddr>=0.7.13,!=0.7.16,<=0.7.19                      # BSD
oslo.config>=3.14.0,!=3.18.0,<=3.22.0                  # Apache Software License
oslo.db>=4.15.0,<=4.17.0                               # Apache Software License
oslo.i18n>=2.1.0,<=3.12.0                              # Apache Software License
oslo.log>=3.11.0,<=3.20.0                              # Apache Software License
oslo.serialization>=1.10.0,<=2.16.0                    # Apache Software License
oslo.utils>=3.18.0,<=3.22.0                            # Apache Software License
paramiko>=2.0,<=2.1.1                                  # LGPL
pbr>=1.8,<=1.10.0                                      # Apache Software License
PrettyTable>=0.7.1,<0.8                                # BSD
PyYAML>=3.10.0,<=3.12                                  # MIT
python-subunit>=0.0.18,<=1.2.0
requests>=2.10.0,!=2.12.2,<=2.13.0                     # Apache License, Version 2.0
SQLAlchemy>=1.0.10,<1.1.0                              # MIT
sphinx>=1.2.1,!=1.3b1,<1.4                             # BSD
six>=1.9.0,<=1.10.0                                    # MIT

# OpenStack related
boto>=2.32.1,<=2.45.0                                  # MIT
gnocchiclient>=2.7.0,<=2.8.2                           # Apache Software License
keystoneauth1==2.18.0                                  # Apache Software License
os-faults>=0.1.5,<=0.1.9                               # Apache Software License
python-ceilometerclient>=2.5.0,<=2.7.0                 # Apache Software License
python-cinderclient>=1.6.0,!=1.7.0,!=1.7.1,<=1.10.0    # Apache Software License
python-designateclient>=1.5.0,<=2.4.0                  # Apache License, Version 2.0
python-glanceclient==2.5.0                             # Apache License, Version 2.0
python-heatclient>=1.6.1,<=1.7.0                       # Apache Software License
python-ironicclient==1.10.0                            # Apache Software License
python-keystoneclient>=3.8.0,<=3.9.0                   # Apache Software License
python-magnumclient>=2.0.0,<=2.3.1                     # Apache Software License
python-manilaclient>=1.10.0,<=1.12.0                   # Apache Software License
python-mistralclient>=2.0.0,<=3.0.0                    # Apache Software License
python-monascaclient>=1.1.0,<=1.4.0                    # Apache Software License
python-muranoclient>=0.8.2,<=0.11.1                    # Apache License, Version 2.0
python-neutronclient>=5.1.0,<=6.0.0                    # Apache Software License
python-novaclient>=6.0.0,!=7.0.0,<=7.1.0               # Apache License, Version 2.0
python-saharaclient==1.1.0                             # Apache License, Version 2.0
python-senlinclient==1.1.0                             # Apache Software License
python-swiftclient==3.2.0                              # Apache Software License
python-troveclient>=2.2.0,<=2.7.0                      # Apache Software License
python-watcherclient>=0.23.0,<=1.0.0                   # Apache Software License
python-zaqarclient>=1.0.0,<=1.3.0                      # Apache Software License

=== debian/changelog ===
rally (0.8.1-0ubuntu2) zesty; urgency=medium

  * d/p/adjust-six-dependencies: Uncap python-six dependency, fixes FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Mar 2017 13:46:16 -0500

rally (0.8.1-0ubuntu1) zesty; urgency=medium

  * debian/patches/unblock-six.patch: Dropped no longer needed.
  * New usptream release.
  * Align (Build-)Depends with upstream.
  * d/rules: Fix unit tests.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 Feb 2017 10:37:08 -0500

rally (0.7.0-0ubuntu3) zesty; urgency=medium

  * debian/control: Remove python-hacking since its not needed. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 08:02:10 -0500

rally (0.7.0-0ubuntu2) zesty; urgency=medium

  * d/control: Set minimum version of muranoclient, rather than an
    upper bound resolving installability issues with newer versions
    of muranoclient.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Jan 2017 14:39:51 +0000

rally (0.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Dec 2016 12:40:12 +0000

=== debian/control ===
Source: rally
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Ondřej Nový <novy@ondrej.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.10),
                     git,
                     python-boto (>= 2.32.1),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage (>= 3.6),
                     python-dateutil (>= 2.4.2),
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-designateclient (>= 1.5.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-gnocchiclient (>= 2.7.0),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.10.0),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-magnumclient (>= 2.0.0),
                     python-manilaclient (>= 1.10.0),
                     python-mistralclient (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-monascaclient (>= 1.1.0),
                     python-muranoclient (>= 0.8.2),
                     python-netaddr (>= 0.7.13),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-os-faults,
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-prettytable (>= 0.7.1),
                     python-pytest (>= 2.7),
                     python-requests (>= 2.10.0),
                     python-saharaclient (>= 1.1.0),
                     python-senlinclient (>= 0.3.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-swiftclient (>= 1:3.2.0),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 2.2.0),
                     python-watcherclient (>= 0.23.0),
                     python-yaml (>= 3.10.0),
                     python-zaqarclient (>= 1.0.0),
                     subunit (>= 0.0.18),
                     testrepository,
                     virtualenv,
Standards-Version: 3.9.6
Homepage: https://github.com/stackforge/rally
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/rally.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/rally.git

Package: python-rally
Section: python
Architecture: all
Depends: alembic (>= 0.8.4),
         python-boto (>= 2.32.1),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:1.6.0),
         python-decorator (>= 3.4.0),
         python-designateclient (>= 1.5.0),
         python-glanceclient (>= 1:2.5.0),
         python-gnocchiclient (>= 2.7.0),
         python-heatclient (>= 1.6.1),
         python-ironicclient (>= 1.10.1),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.18.0),
         python-keystoneclient (>= 1:3.8.0),
         python-magnumclient (>= 2.0.0),
         python-manilaclient (>= 1.10.0),
         python-mistralclient (>= 2.0.0),
         python-monascaclient (>= 1.1.0),
         python-muranoclient (>= 0.8.2),
         python-netaddr (>= 0.7.13),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:6.0.0),
         python-os-faults,
         python-oslo.config (>= 1:3.14.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paramiko (>= 2.0),
         python-prettytable (>= 0.7.1),
         python-requests (>= 2.10.0),
         python-saharaclient (>= 1.1.0),
         python-senlinclient (>= 0.3.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-swiftclient (>= 1:3.2.0),
         python-troveclient (>= 2.2.0),
         python-watcherclient (>= 0.23.0),
         python-yaml (>= 3.10.0),
         python-zaqarclient (>= 1.0.0),
         sqlite3,
         subunit (>= 0.0.18),
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - Python code
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the Python code.

Package: rally
Architecture: all
Depends: adduser,
         dbconfig-common,
         python-rally (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: benchmark System for OpenStack - command line and configuration
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This package contains the command line and configuration file.
